# Assembly and Software

{% embed url="<https://www.youtube.com/watch?v=A9JKUQvvmYM>" %}

## Setup process as shown in the video

* Download the Raspbian ATM Image ([https://www.dropbox.com/s/kg5swxhdb9h2a4m/2019-04-08-raspbian-stretch-lightningatm.gz\\](https://www.dropbox.com/s/kg5swxhdb9h2a4m/2019-04-08-raspbian-stretch-lightningatm.gz\)\\)
* Flash the Image to the SD Card with Etcher.
* Add one file to the /boot folder on the SD Card.
  * Create "wpa\_supplicant.conf" file and add the Wifi credentials.

```
ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
update_config=1

network={
        ssid="You_WiFi_SSID"
        psk="You_WiFi_Password"
}
```

* Connect to it via the console with the user "pi"
  * $ ssh <pi@192.168.X.XXX>
* Confirm to add the ECDSA key fingerprint with "yes"
* Login with the default password "raspberry"
* Change the default password of the user "pi" to your own
  * $ passwd
  * After confirming the current password, type your new password twice.
* Upgrade the RPi Zero to the newest versions of all Software
  * $ sudo apt update && sudo apt upgrade
* Clone the current version of the LightningATM Software
  * $ git clone <https://github.com/21isenough/LightningATM.git>
  * $ cd LightningATM
  * $ pip3 install -r requirements.txt
* After reboot connect again to the RPi Zero with your new password.
  * $ ssh <pi@192.168.X.XXX>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lightningatm.me/lightningatm-setup/hardware-setup/assembly-and-software.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
